All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class VisualInterfaceSupportInfo

    com.sas.awt.VisualInterfaceSupportInfo

All Implemented Interfaces:
  com.sas.PublicClonable, java.io.Serializable, java.lang.Cloneable

    public class VisualInterfaceSupportInfo

implements java.io.Serializable, com.sas.PublicClonable

VisualInterfaceSupportInfo provides a place for instances of components to store data used by the VisualInterfaceSupport implementation of the VisualInterface.

See Also:
  Serialized Form

Field Summary
`Border` | `border`
`BorderInterface` | `borderInterface`
`com.sas.awt.VisualInterfaceChangeListener` | `changeListener`
`com.sas.visuals.PainterInterface` | `postPainter`
`java.awt.Dimension` | `preferredSize`
`com.sas.visuals.PainterInterface` | `prePainter`
`com.sas.beans.PropertyChangeCommandAdaptor` | `propertyChangeListener`
`boolean` | `transparent`

Constructor Summary
`VisualInterfaceSupportInfo()`

Method Summary
`java.lang.Object` | `clone()`

Field Detail

### borderInterface

    public BorderInterface borderInterface

### border

    public Border border

### transparent

    public boolean transparent

### propertyChangeListener

    public com.sas.beans.PropertyChangeCommandAdaptor propertyChangeListener

### prePainter

    public com.sas.visuals.PainterInterface prePainter

### postPainter

    public com.sas.visuals.PainterInterface postPainter

### preferredSize

    public java.awt.Dimension preferredSize

### changeListener

    public transient com.sas.awt.VisualInterfaceChangeListener changeListener

Constructor Detail

### VisualInterfaceSupportInfo

    public VisualInterfaceSupportInfo()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.